Subject: Re: [bug#52215] [PATCH] gnu: bullet: Update to 3.17

From: zimoun <[email-masked]>
Date: Thu, 2 Dec 2021 09:40:12 +0100

Hi Leo,

On Thu, 2 Dec 2021 at 04:59, Leo Famulari <[email-masked]> wrote:

> When generating the patches with `git format-patch` or `git send-email`,
> you can add the argument '--base=auto', which adds a note to the patch
> about what commit the patch is based on.

The argument 'auto' often breaks for me.  I mean, I am not sure the
manual should have:

        We recommend to use the command 'git format-patch --base=auto'
        to include the commit where your patch applies.

but 'auto' should only be an advice or a recommendation as suggested
parameter for the otpion '--base'.  IMHO.

> There's a note about this in the manual section Submitting Patches, but
> it's not totally clear. I'll think about improving it.

Cool! :-)

Thanks,
Cheers,